#
# spec file for package cgit
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define git_version	1.7.6.4

Name:           cgit
Version:        0.9.1
Release:        0
Summary:        A web frontend for git repositories
Url:            http://git.zx2c4.com/cgit/
License:        GPL-2.0
Group:          Development/Libraries/C and C++
Source0:        %{name}-%{version}.tar.xz
Source1:        git-%{git_version}.tar.gz
Source2:        cgitrc
Patch:          cgit-optflags.diff
Patch1:         cgit-git-1.7.6_build_fix.patch
Patch3:         cgit-fix-print-tree.diff
Patch4:         cgit-fix-more-read_tree_recursive-invocations.diff
Patch5:         cgit-CVE-2013-2117-disallow-directory-traversal.patch
# Requirements for cgit
BuildRequires:  gnu-crypto libopenssl-devel libzip-devel
# Requirements for cgitrc man page generation
BuildRequires:  asciidoc libxslt xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is an attempt to create a fast web interface for the git scm, using a
builtin cache to decrease server io-pressure.

Authors:
--------
    Lars Hjemli (hjemli@gmail.com)

%prep
%setup -q
%setup -q -T -D -a 1
%patch -p1
%patch1 -p1
%patch3
%patch4
%patch5 -p1
rm -rf git
mv git-%{git_version} git

%build
make V=1 %{?_smp_mflags}

%install
make install DESTDIR="%{buildroot}" CGIT_SCRIPT_PATH=/srv/www/htdocs/cgit
make install-man DESTDIR="%{buildroot}"

mkdir -p "%{buildroot}"/srv/www/cgi-bin/cgit/
mv "%{buildroot}"/srv/www/{htdocs,cgi-bin}/cgit/cgit.cgi

mkdir -p "%{buildroot}"/etc
cp %{SOURCE2} "%{buildroot}"/etc/cgitrc

%files
%defattr(-,root,root)
%doc README COPYING
%doc %{_mandir}/man5/cgitrc.5.gz
%dir /srv/www/htdocs/cgit
%dir /srv/www/cgi-bin/cgit
/srv/www/cgi-bin/cgit/cgit.cgi
/srv/www/htdocs/cgit/cgit.css
/srv/www/htdocs/cgit/cgit.png
/usr/lib/cgit
%config(noreplace) /etc/cgitrc

%changelog
